Developer (your) Wallets

/v3/getDeveloperWallet

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

This API requires API Signature

Get the developer's (your) public wallet addresses, that you can share to collect funds:

  • Apps with EVM-compatible chains (Ethereum, Polygon, BSC, etc) return ethAddress which is your app's wallet public Ethereum address.
  • Solana apps return solAddress which is your app's wallet public Solana address.
  • EOS apps return eosAddress which is your app's wallet public EOS address.

Here's what the response looks like:

{
  "status": "SUCCESS",
  "wallet": {
    "ethAddress": "0xa6D88EB4d2e1DD819019ccC13712992f98BABDB9"
  }
}
{
  "status": "SUCCESS",
  "wallet": {
    "solAddress": "7mEx9rHmc7nYzEoWpzHZ6xyQwi3YSSoGiup1x8CNbjgd"
  }
}
{
  "status": "SUCCESS",
  "wallet": {
    "eosAddress": "EOS8cfYwFefRy1pEeiWhvP5K5H3TV9514jyvuYeHEz1sqXbywGc2f"
  }
}
🚧

Api Error Status

You can find error status returned by the api here.

© Copyright 2024, Passbird Research Inc.

Body Params
string
required

The ID of the app for which the developer wallet will be retrieved.

string
Defaults to master

This field is reserved for future development, and a default value of master should be assumed. For now, an application created from the dashboard may only have one master wallet per blockchain.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json